"""
SPDX-FileCopyrightText: 2020-present Open Networking Foundation <info@opennetworking.org>
SPDX-License-Identifier: LicenseRef-ONF-Member-1.01
"""

import logging as log
from datetime import datetime


class Device(object):
    def __init__(self, imsi_id, imsi, last_reachable=datetime.min, ip=None):
        # log.debug("creating device, imsi_id={}, imsi={}, ip={}".format(imsi_id, imsi, ip))
        self.imsi_id = imsi_id
        self.imsi = imsi
        self.ip = ip
        self.reachable = False
        self.last_reachable = last_reachable
